Sign up with pending invitation

POST /auth/signup

Creates a password user in local/dev only, requiring an invitation code before applying the code-matched pending invitation.

application/json

Body Required

Signup request

  • email string Required
  • invitation_code string Required
  • name string
  • pwd string Required

Responses

  • 201 application/json

    Created

    Hide response attributes Show response attributes object
    • created_at string
    • email string

      User email, resolved for display only.

    • name string

      User-provided display name; empty when the record has none.

    • org_ids array[string]
    • organizations array[object]

      Org memberships with display names; parallels OrgIDs.

      Hide organizations attributes Show organizations attributes object
      • name string
      • org_id string
    • role_assignments array[object]

      Scoped role assignments only

      Hide role_assignments attributes Show role_assignments attributes object
      • org_id string
      • project_id string
      • role string
    • updated_at string
    • user_id string

      Stable user _id (hex) — the canonical user identifier.

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
  • 403 application/json

    Forbidden

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
  • 409 application/json

    Conflict

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
  • 500 application/json

    Internal Server Error

    Hide response attributes Show response attributes object
    • code string
    • error string
    • success boolean
POST /auth/signup
curl \
 --request POST 'https://agentengine.mongodb.com/auth/signup' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "email": "string",
  "invitation_code": "string",
  "name": "string",
  "pwd": "string"
}'
Request examples
{
  "email": "string",
  "invitation_code": "string",
  "name": "string",
  "pwd": "string"
}
Response examples (201)
{
  "created_at": "string",
  "email": "string",
  "name": "string",
  "org_ids": [
    "string"
  ],
  "organizations": [
    {
      "name": "string",
      "org_id": "string"
    }
  ],
  "role_assignments": [
    {
      "org_id": "string",
      "project_id": "string",
      "role": "string"
    }
  ],
  "updated_at": "string",
  "user_id": "string"
}
Response examples (400)
{
  "code": "string",
  "error": "string",
  "success": true
}
Response examples (403)
{
  "code": "string",
  "error": "string",
  "success": true
}
Response examples (409)
{
  "code": "string",
  "error": "string",
  "success": true
}
Response examples (500)
{
  "code": "string",
  "error": "string",
  "success": true
}